]> arthur.barton.de Git - bup.git/commitdiff
rm-cmd: copy to bup.cmd.rm
authorRob Browning <rlb@defaultvalue.org>
Mon, 8 Feb 2021 03:50:55 +0000 (21:50 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/rm.py [new file with mode: 0755]
lib/cmd/rm-cmd.py [deleted file]

diff --git a/lib/bup/cmd/rm.py b/lib/bup/cmd/rm.py
new file mode 100755 (executable)
index 0000000..72f8fb9
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/../..'
+
+from bup import compat
+from bup.compat import argv_bytes
+from bup.git import check_repo_or_die
+from bup.options import Options
+from bup.helpers import die_if_errors, handle_ctrl_c, log
+from bup.repo import LocalRepo
+from bup.rm import bup_rm
+
+optspec = """
+bup rm <branch|save...>
+--
+#,compress=  set compression level to # (0-9, 9 is highest) [6]
+v,verbose    increase verbosity (can be specified multiple times)
+unsafe       use the command even though it may be DANGEROUS
+"""
+
+handle_ctrl_c()
+
+o = Options(optspec)
+opt, flags, extra = o.parse(compat.argv[1:])
+
+if not opt.unsafe:
+    o.fatal('refusing to run dangerous, experimental command without --unsafe')
+
+if len(extra) < 1:
+    o.fatal('no paths specified')
+
+check_repo_or_die()
+repo = LocalRepo()
+bup_rm(repo, [argv_bytes(x) for x in extra],
+       compression=opt.compress, verbosity=opt.verbose)
+die_if_errors()
diff --git a/lib/cmd/rm-cmd.py b/lib/cmd/rm-cmd.py
deleted file mode 100755 (executable)
index 4deb79f..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-from bup import compat
-from bup.compat import argv_bytes
-from bup.git import check_repo_or_die
-from bup.options import Options
-from bup.helpers import die_if_errors, handle_ctrl_c, log
-from bup.repo import LocalRepo
-from bup.rm import bup_rm
-
-optspec = """
-bup rm <branch|save...>
---
-#,compress=  set compression level to # (0-9, 9 is highest) [6]
-v,verbose    increase verbosity (can be specified multiple times)
-unsafe       use the command even though it may be DANGEROUS
-"""
-
-handle_ctrl_c()
-
-o = Options(optspec)
-opt, flags, extra = o.parse(compat.argv[1:])
-
-if not opt.unsafe:
-    o.fatal('refusing to run dangerous, experimental command without --unsafe')
-
-if len(extra) < 1:
-    o.fatal('no paths specified')
-
-check_repo_or_die()
-repo = LocalRepo()
-bup_rm(repo, [argv_bytes(x) for x in extra],
-       compression=opt.compress, verbosity=opt.verbose)
-die_if_errors()